//
//  RNTableView.h
//  osxuicontrols_umakefilframework
//
//  Created by Mark Eaton on Tue Apr 29 2003.
//  Copyright (c) 2003 RealNetworks, Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSObject(RNTableDataSource)
- (BOOL)tableViewCanDeleteSelection:(NSTableView*)aTableView;
- (void)tableViewDeleteSelection:(NSTableView*)aTableView;
@end

@interface RNTableView : NSTableView
{
	BOOL superDrawsRowBackgrounds;
        BOOL ignoreScrollToRow;
}

- (void)setIgnoreScrollToRow:(BOOL)ignore;
- (BOOL)ignoreScrollToRow;

@end
