//
//  RNWindowSizer.h
//  RNControls
//
//  Created by Mark Eaton on Tue Jan 28 2003.
//  Copyright (c) 2003 RealNetworks, Inc.. All rights reserved.
//

//#import <RNControls/RNButton.h>
#import "RNButton.h"


@interface NSObject ( RNWindowSizerDelegate )
- (void)windowWillStartLiveResize:(NSWindow *)sender;
- (void)windowDidEndLiveResize:(NSWindow *)sender;
- (NSRect)windowWillSetFrame:(NSWindow *)sender toRect:(NSRect)frameRect;
@end

@interface NSWindow ( RNLiveResizeWindow )
- (void)willStartLiveResize;
- (BOOL)isInLiveResize;
- (void)didEndLiveResize;
@end

@interface RNWindowSizer : RNButton 
{
	NSPoint previousLocation;
}

- (void)resizeWindow;

@end
